
<!--

function writedelay(id,idd){var obj_id=document.getElementById(id);var obj_idd=document.getElementById(idd);obj_id.innerHTML=obj_idd.innerHTML;}
//focus_tab
var waitInterval
var DelayTime=80
function delaytab(m,n,count,hght){
clearTimeout(waitInterval);
waitInterval=window.setTimeout("showtab("+m+","+n+","+count+","+hght+");",DelayTime);}
function showtab(m,n,count,hght){
for(var i=1;i<=count;i++){
if (i==n){getObject('tab_'+m+'_'+i).style.display='';
if (m==3) {getObject('tab_'+m+'_'+i+'a').style.display='';}
}
else {getObject('tab_'+m+'_'+i).style.display='none';
if (m==3) {getObject('tab_'+m+'_'+i+'a').style.display='none';}
}}
if ((m==2) || (m==3) || (m==4) || (m==5) || (m==6) || (m==7)){
var positiony=-(n-1)*hght+"px";
getObject('tt'+m).style.backgroundPosition="0px "+positiony;
}else
var positiony=-(n-1)*hght+"px";
getObject('tt'+m).style.backgroundPosition="0px "+positiony;}
function getObject(objectId) {
if(document.getElementById && document.getElementById(objectId)){
return document.getElementById(objectId);
} else if (document.all && document.all(objectId)) {
return document.all(objectId);
} else if (document.layers && document.layers[objectId]) {
return document.layers[objectId];
} else {return false;}}
//layer

//bighot
if(typeof PicFocusManager == "undefined")
	{
		PicFocusManager =[];
	}
	function PicFocus(imageContainerID,textContainerID,buttonContainerID,intervarTime){
		this.$ = function (id){return document.getElementById(id)}
		this.index = PicFocusManager.length;
		PicFocusManager[PicFocusManager.length] = this;
		this.imageContainer = this.$(imageContainerID);
		this.textContainer = this.$(textContainerID);
		this.buttonContainer = this.$(buttonContainerID);
		this.firstShow = 0; //默认显示项
		this.interval = (isNaN(intervarTime)?0:intervarTime) || 5000;
		 //切换时间
		this.canAutoPlay = true; //是否可以自动切换
		this.currentPosition = this.firstShow;
		this.timer;
		this.images = [];
		this.texts = [];
		this.buttons = [];
		this.callback=function(){};
		this.bindEvent = function(){
			var _self = this;
			for(var i=0;i<this.images.length;i++){
				this.images[i].onmouseover = function(){
					_self.stop();
				}
				this.images[i].onmouseout = function(){
					_self.timer = setTimeout('PicFocusManager[' + _self.index + '].play()' , _self.interval )
				}
			}
			for(var i=0;i<this.buttons.length;i++){
				this.buttons[i].onclick = function(){
					_self.focus(this);
				}
			}
		}
		this.play = function(){
			this.stop();
			if(this.canAutoPlay){
				this.setFocus(this.currentPosition ++ )
				if(this.currentPosition >= this.images.length)this.currentPosition =0 ;
			}
			this.timer = setTimeout('PicFocusManager[' + this.index + '].play()' , this.interval )
		}
		this.stop = function(){
			clearTimeout( this.timer );
		}
		this.focus = function(button){
			for(var i=0;i<this.buttons.length;i++){
				if(this.buttons[i] == button){
					this.currentPosition = i;
					this.setFocus(this.currentPosition);
					break;
				}
			}
		}
		this.setFocus = function(i){
			if(/Microsoft/.test(navigator.appName)){
				this.imageContainer.filters[0].apply();
				this.imageContainer.filters[0].play();
			}
			for(var j=0;j<this.images.length;j++){
				this.images[j].style.display = (i==j)?"":"none";
			}
			for(var j=0;j<this.texts.length;j++){
				this.texts[j].style.display = (i==j)?"":"none";
			}
			for(var j=0;j<this.buttons.length;j++){
				this.buttons[j].className = (i==j)? this.buttons[j].getAttribute("focusClass") :this.buttons[j].getAttribute("normalClass");
			}
			if(/Microsoft/.test(navigator.appName)){  //滤镜版本
				new ActiveXObject("DXImageTransform.Microsoft.Fade");
				this.imageContainer.filters[0].play();
			}
			this.callback(i);
		}
		this.init = function(){
			if(this.imageContainer && this.buttonContainer){
				//init
				this.images=this.imageContainer.getElementsByTagName("img");
				if(this.textContainer) this.texts=this.textContainer.getElementsByTagName("label");
				this.buttons=this.buttonContainer.getElementsByTagName("a");
				this.bindEvent();
				for(var i=0;i<this.images.length;i++){
					this.images[i].style.display = "none";
					if(i<this.texts.length) this.texts[i].style.display = "none";
					this.buttons[i].className = this.buttons[i].getAttribute("normalClass");
					this.buttons[i].target="_self";
				}
				this.images[this.firstShow].style.display = "";
				if(this.firstShow<this.texts.length) this.texts[this.firstShow].style.display = "";
				this.buttons[this.firstShow].className = this.buttons[this.firstShow].getAttribute("focusClass");
			}else{
				alert("no provide correct parameter")
			}
		}
	}
	
//search
function getNavigatorType(){
	if(navigator.appName == "Microsoft Internet Explorer")
		return 1;  
	else if(navigator.appName == "Netscape")
		return 2;	
	else 
		return 0;
}
function wValChg(idx,sts){
	var s = "/search/";
	if(idx == "1") getObject("wn_"+ sts +"").innerHTML = "资讯";
	if(idx == "2") getObject("wn_"+ sts +"").innerHTML = "企业";
	if(idx == "3") getObject("wn_"+ sts +"").innerHTML = "信息";
	if(idx == "4") getObject("wn_"+ sts +"").innerHTML = "招聘";
	if(idx == "5") getObject("wn_"+ sts +"").innerHTML = "人才";
	if(idx == "6") getObject("wn_"+ sts +"").innerHTML = "问题";
	if(sts == "h"){
		document.search_q.tp.value = idx;
	}
	getObject("sbArea_"+ sts +"").style.display = "none";
}
function wValDisp(sts,idx){
	if(getObject("sbArea_"+ sts +"").style.display == "none"){
		getObject("sbArea_"+ sts +"").style.display = "";
	}else{
		getObject("sbArea_"+ sts +"").style.display = "none";
	}
}
function setSelBox(event){
	var _event;
	switch (getNavigatorType()) {
		case 1 : // IE
			_event = window.event;
			node = _event.srcElement;
			nodeName = _event.srcElement.className;
			break;
		case 2 : // Netscape
			_event = event;
			node = _event.target;
			nodeName = _event.target.className;
			break;
		default :
			nodeName = "None"; 
			break;
	}
	if(nodeName == "dselObj"){
		
	}else{
		try{
			document.getElementById("sbArea_h").style.display = "none";
		}catch(e){}
	}
}//-->